package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysCategory;

/**
 * 类别Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-22
 */
public interface SysCategoryMapper 
{
    /**
     * 查询类别
     * 
     * @param id 类别主键
     * @return 类别
     */
    public SysCategory selectSysCategoryById(Long id);

    /**
     * 查询类别列表
     * 
     * @param sysCategory 类别
     * @return 类别集合
     */
    public List<SysCategory> selectSysCategoryList(SysCategory sysCategory);

    /**
     * 新增类别
     * 
     * @param sysCategory 类别
     * @return 结果
     */
    public int insertSysCategory(SysCategory sysCategory);

    /**
     * 修改类别
     * 
     * @param sysCategory 类别
     * @return 结果
     */
    public int updateSysCategory(SysCategory sysCategory);

    /**
     * 删除类别
     * 
     * @param id 类别主键
     * @return 结果
     */
    public int deleteSysCategoryById(Long id);

    /**
     * 批量删除类别
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysCategoryByIds(Long[] ids);
}
